Skip to main content
GET
/
core
/
webhook-credential
List Webhook Credentials
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/webhook-credential \
  --header 'api_key: <api-key>'
{
  "request_id": "<string>",
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "rootfi_organisation_id": 123,
        "rootfi_company_id": 123,
        "verification_token": "<string>",
        "signing_secret_masked": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

List Webhook Credentials.

Authorizations

api_key
string
header
required

Query Parameters

integration_type
enum<string>

V4-supported integration types only.

Available options:
STRIPE,
NETSUITE,
XERO,
ZOHO_BOOKS,
WAFEQ,
QUICKBOOKS,
QUICKBOOKS_SANDBOX,
BIG_COMMERCE,
WOO_COMMERCE,
OODOO_ACCOUNTING,
SHOPIFY,
FRESHBOOKS
rootfi_company_id
integer | null

Response

Credential list.

request_id
string
required
data
V4ListWebhookCredentialsPayload · object
required